# Class BeforePinningEnabledEvent

#### Hierarchy

- PinningIntegrationEvent
  - BeforePinningEnabledEvent

#####
Index

### Constructors

constructor

### Properties

type

## Constructors

### constructor

- new BeforePinningEnabledEvent(): BeforePinningEnabledEvent

- #### Returns BeforePinningEnabledEvent

  Inherited from PinningIntegrationEvent.constructor

## Properties

### `Readonly` type

type: "beforepinenabled" = PinningEvents.BeforePinningEnabled

Overrides PinningIntegrationEvent.type